## vwifi-dkms 0.0~git20250910.3c27cb6

=== Makefile ===
TARGET_MODULE := vwifi
obj-m := $(TARGET_MODULE).o

ccflags-y := -std=gnu99 -Wno-declaration-after-statement
KDIR ?= /lib/modules/$(shell uname -r)/build
GIT_HOOKS := .git/hooks/applied

all: kmod vwifi-tool

kmod:
	$(MAKE) -C $(KDIR) M=$(shell pwd) modules

vwifi-tool: vwifi-tool.c
	$(CC) $(ccflags-y) -o $@ $<

clean:
	$(MAKE) -C $(KDIR) M=$(shell pwd) clean
	$(RM) vwifi-tool

check: all
	@scripts/verify.sh

## vwifi-dkms 0.0~git20250627.14346b0

=== debian/changelog ===
vwifi-dkms (0.0~git20250627.14346b0-0kali2) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control

  [ Sophie Brun ]
  * Add a package vwifi-tool containing vwifi-tool binary

 -- Sophie Brun <sophie@kali.org>  Wed, 03 Sep 2025 10:41:41 +0200

vwifi-dkms (0.0~git20250627.14346b0-0kali1) kali-dev; urgency=medium

  * Initial release.

 -- Sophie Brun <sophie@kali.org>  Tue, 19 Aug 2025 14:28:31 +0200

=== debian/control ===
Source: vwifi-dkms
Section: kernel
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@kali.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-dkms
Standards-Version: 4.7.2
Homepage: https://github.com/sysprog21/vwifi
Vcs-Browser: https://gitlab.com/kalilinux/packages/vwifi-dkms
Vcs-Git: https://gitlab.com/kalilinux/packages/vwifi-dkms.git

Package: vwifi-dkms
Architecture: all
Depends:
 ${misc:Depends},
 dkms,
 iw,
Recommends: python3, hostapd, python3-matplotlib, python3-numpy, vwifi-tool
Description: Simple Virtual Wireless Driver for Linux in DKMS format
 This package contains a minimal interface to provide essential
 functionalities, such as scanning for dummy Wi-Fi networks, establishing
 connections, and disconnecting from them.
 .
 It is built upon the cfg80211 subsystem, which collaborates with FullMAC
 drivers. Currently, vwifi supports both Station Mode and Host AP Mode and is
 equipped with robust WPA/WPA2 security features. This enables users to
 configure a wireless environment using vwifi, hostapd (in HostAP mode
 interface), and wpa_supplicant (in station mode interface).

Package: vwifi-tool
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: userspace tool which supports user-specific utilization for vwifi-dkms
 This package contains a tool which supports more user-specific utilization for
 vwifi-dkms. It aims to provide more flexibility and customization for users of
 vwifi-dkms.
 Currently supporting feature:
    * display the status of vwifi driver
    * Use netlink socket to communicate with vwifi driver allowing user to
    configure user-specific deny list

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --buildsystem=none

execute_after_dh_auto_clean:
	rm -f vwifi-tool

execute_after_dh_auto_build:
	make vwifi-tool

execute_after_dh_install:
	dh_install \
		Makefile \
		vwifi.c \
		vwifi-tool.c \
		usr/src/vwifi-$(DEB_VERSION_UPSTREAM)

## vwifi-dkms 0.0~git20250910.3c27cb6

=== debian/changelog ===
vwifi-dkms (0.0~git20250910.3c27cb6-0kali1) kali-dev; urgency=medium

  * Add specific autopkgtest to not test with linux-headers*cloud*
  * New upstream version 0.0~git20250910.3c27cb6

 -- Sophie Brun <sophie@kali.org>  Wed, 24 Sep 2025 10:24:02 +0200

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
    https://github.com/sysprog21/vwifi.git \
    HEAD debian

# use the following if usptream tags releases
#opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
#    https://github.com/sysprog21/vwifi/tags \
#    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## vwifi-dkms 0.0~git20251124.3e6fe06

=== debian/changelog ===
vwifi-dkms (0.0~git20251124.3e6fe06-0kali2) kali-dev; urgency=medium

  * Fix the build on kernel 6.17

 -- Sophie Brun <sophie@kali.org>  Tue, 09 Dec 2025 14:46:17 +0100

vwifi-dkms (0.0~git20251124.3e6fe06-0kali1) kali-dev; urgency=medium

  * New upstream version 0.0~git20251124.3e6fe06

 -- Sophie Brun <sophie@kali.org>  Mon, 08 Dec 2025 16:24:55 +0100

## vwifi-dkms 0.0~git20260129.3582ee4

=== debian/changelog ===
vwifi-dkms (0.0~git20260129.3582ee4-0kali1) kali-dev; urgency=medium

  * New upstream version 0.0~git20260129.3582ee4

 -- Sophie Brun <sophie@kali.org>  Tue, 10 Feb 2026 11:16:19 +0100
